summaryrefslogtreecommitdiffstats
path: root/network/openssh-krb5/openssh-krb5.SlackBuild
diff options
context:
space:
mode:
author Leigh Wedding2011-12-16 15:47:57 +0100
committer Niels Horn2011-12-18 03:07:51 +0100
commit96ba3e010ec77a2d96ab314aa3f95fabf2afa46b (patch)
treed1c41b5425d0e8dde11f7491e0d19a1cd7f2129c /network/openssh-krb5/openssh-krb5.SlackBuild
parent382b791d69ad4446c0534ab811951ea66bc92811 (diff)
downloadslackbuilds-96ba3e010ec77a2d96ab314aa3f95fabf2afa46b.tar.gz
network/openssh-krb5: Added (Kerberos-enabled OpenSSH)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network/openssh-krb5/openssh-krb5.SlackBuild')
-rw-r--r--network/openssh-krb5/openssh-krb5.SlackBuild125
1 files changed, 125 insertions, 0 deletions
diff --git a/network/openssh-krb5/openssh-krb5.SlackBuild b/network/openssh-krb5/openssh-krb5.SlackBuild
new file mode 100644
index 0000000000..a8f24e83ce
--- /dev/null
+++ b/network/openssh-krb5/openssh-krb5.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+# Copyright 2000 BSDi, Inc. Concord, CA, USA
+# Copyright 2001, 2002, 2003, 2004 Slackware Linux, Inc. Concord, CA, USA
+# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by Leigh Wedding <leigh.wedding@telstra.com> to build with
+# Kerberos support. Note: requires MIT Kerberos to be installed. Generated
+# package also relies in standard Slackware openssh package being installed.
+# Generated package does not overwrite or interfere with the standard
+# Slackware openssh package.
+
+PRGNAM=openssh-krb5
+SRCNAM=openssh
+VERSION=${VERSION:-5.9p1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+elif [ "$ARCH" = "armel" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr/kerberos \
+ --mandir=/usr/kerberos/man \
+ --sysconfdir=/etc/ssh \
+ --without-pam \
+ --with-md5-passwords \
+ --with-tcp-wrappers \
+ --with-default-path=/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin:/usr/kerberos/bin \
+ --with-ipv4-default \
+ --with-privsep-path=/var/empty \
+ --with-privsep-user=sshd \
+ --with-kerberos5=/usr/kerberos
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Remove un-needed stuff
+rm -r $PKG/usr/kerberos/man/ $PKG/etc/ssh $PKG/var
+rm -f $PKG/usr/kerberos/bin/ssh-{keyscan,keygen,agent,add}
+#for i in ssh-keyscan ssh-keygen ssh-agent ssh-add; do
+# find $PKG -name ${i}\* -exec rm {} \;
+#done
+
+# Rename programs with .krb5 extension so we don't interfere with native
+for i in ssh scp sftp; do
+ mv $PKG/usr/kerberos/bin/$i $PKG/usr/kerberos/bin/$i.krb5
+done
+
+# Add init script
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.sshd.krb5 > $PKG/etc/rc.d/rc.sshd.krb5.new
+chmod 0755 $PKG/etc/rc.d/rc.sshd.krb5.new
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.${PKGTYPE:-tgz}
+